/*
 * Copyright (C) 2015 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License
 */

package com.android.tv.settings;

import android.support.annotation.Keep;

/**
 * This class keeps a reference to the drawables used by LeanbackLauncher
 */
@Keep
public class ResourcesUsedByLauncher {
    private static final int NET_DISCONNECTED = R.drawable.network_state_disconnected;
    private static final int NET_ETHERNET = R.drawable.network_state_ethernet;
    private static final int NET_ETHERNET_NO_INTERNET =
            R.drawable.network_state_ethernet_no_internet;
    private static final int NET_WIFI_NO_INTERNET = R.drawable.network_state_wifi_no_internet;
    private static final int NET_WIFI_0 = R.drawable.network_state_wifi_0;
    private static final int NET_WIFI_1 = R.drawable.network_state_wifi_1;
    private static final int NET_WIFI_2 = R.drawable.network_state_wifi_2;
    private static final int NET_WIFI_3 = R.drawable.network_state_wifi_3;
    private static final int NET_WIFI_4 = R.drawable.network_state_wifi_4;
    private static final int NET_CELLULAR_0 = R.drawable.network_state_cellular_0;
    private static final int NET_CELLULAR_1 = R.drawable.network_state_cellular_1;
    private static final int NET_CELLULAR_2 = R.drawable.network_state_cellular_2;
    private static final int NET_CELLULAR_3 = R.drawable.network_state_cellular_3;
    private static final int NET_CELLULAR_4 = R.drawable.network_state_cellular_4;
    private static final int NET_CELLULAR_NO_INTERNET_0 =
            R.drawable.network_state_cellular_no_internet_0;
    private static final int NET_CELLULAR_NO_INTERNET_1 =
            R.drawable.network_state_cellular_no_internet_1;
    private static final int NET_CELLULAR_NO_INTERNET_2 =
            R.drawable.network_state_cellular_no_internet_2;
    private static final int NET_CELLULAR_NO_INTERNET_3 =
            R.drawable.network_state_cellular_no_internet_3;
    private static final int NET_CELLULAR_NO_INTERNET_4 =
            R.drawable.network_state_cellular_no_internet_4;
}
